Description

The following packages are required on the Worker nodes machines both in the development and the production environments.

In the following I report the details:

PLYR:

available here: http://cran.r-project.org/src/contrib/Archive/plyr/plyr_1.7.1.tar.gz

#installation

install.packages("plyr_1.7.1.tar.gz", repos = NULL, type="source")

#check

library(plyr)

RESHAPE:

#installation

install.packages("reshape")

#check

library(reshape)

Subtasks:

Task # 315: Expand the R ansible role to let it install R plugins from sources Closed

History

#1 - Jun 25, 2015 05:36 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Only a fraction of the worker nodes are installed via the provisioning system. I'm going to create a (hopefully) temporary task that installs only the new

required modules on all the other worker nodes.

#2 - Jun 26, 2015 01:43 PM - Andrea Dell'Amico

I added a new script called install_R_modules.sh inside the d4science-ghn-cluster.

It runs the playbook with the r_plugins tag, so the only action performed is installing R plugins on both the production and dev hosts.

#3 - Jun 26, 2015 01:45 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The two plugins are installed on all the worker nodes. Hope I got the right nodes list:

node11.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node12.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node13.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node14.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node15.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node16.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node17.d4science.org       : ok=5    changed=0    unreachable=0    failed=0

node18.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node19.d4science.org       : ok=5    changed=0    unreachable=0    failed=0

node20.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node21.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node22.d4science.org       : ok=5    changed=0    unreachable=0    failed=0

node23.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node27.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node28.d4science.org       : ok=5    changed=4    unreachable=0    failed=0
node29.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node3.d4science.org        : ok=5    changed=4    unreachable=0    failed=0

node30.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node31.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node32.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node33.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node34.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node35.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node36.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node37.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node38.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node39.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node4.d4science.org        : ok=5    changed=4    unreachable=0    failed=0

node41.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node43.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node44.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node45.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node46.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node47.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node48.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node49.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node50.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node51.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node52.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node53.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node54.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node55.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node56.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node57.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node58.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node59.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node6.d4science.org        : ok=5    changed=0    unreachable=0    failed=0

node60.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node61.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node62.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node63.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node64.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node65.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node66.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node67.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node68.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node69.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node70.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node71.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node72.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node73.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node74.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node75.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node76.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node77.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

node78.d4science.org       : ok=5    changed=4    unreachable=0    failed=0

#4 - Jul 23, 2015 05:09 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
